Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.swt.core
Interface EMFFormsRendererService<VELEMENT extends VElement>

Type Parameters:
  `VELEMENT` -

All Known Implementing Classes:
  DIViewSWTRendererService, EMFFormsDIExtensionRendererFactory, EMFFormsDIRendererFactory, LegacyRendererService

    public interface EMFFormsRendererService<VELEMENT extends VElement>

The EMFFormsRendererService encapsulates the tester and the access to the `AbstractSWTRenderer`.

Author:
  Eugen Neufeld

Field Summary
`static double` | `NOT_APPLICABLE` Constant for `isApplicable(VElement, ViewModelContext)` to indicate, that the EMFFormsRendererService cannot provide a fitting renderer for the provided VElement.

Method Summary
`AbstractSWTRenderer<VELEMENT>` | `getRendererInstance(VELEMENT vElement, ViewModelContext viewModelContext)` Returns a renderer.
`double` | `isApplicable(VElement vElement, ViewModelContext viewModelContext)` Check whether the provided `VElement` can be rendered by the `AbstractSWTRenderer` provided by `getRendererInstance(VElement, ViewModelContext)`.

Field Detail

### NOT_APPLICABLE

    static final double NOT_APPLICABLE

  Constant for `isApplicable(VElement, ViewModelContext)` to indicate, that the EMFFormsRendererService cannot provide a fitting renderer for the provided VElement.

  See Also:
    Constant Field Values

Method Detail

### isApplicable

    double isApplicable(VElement vElement,
                        ViewModelContext viewModelContext)

  Check whether the provided `VElement` can be rendered by the `AbstractSWTRenderer` provided by `getRendererInstance(VElement, ViewModelContext)`.

  Parameters:
    `vElement` - The `VElement` to check
    `viewModelContext` - The `ViewModelContext` to use for the renderer instance
  Returns:
    `NOT_APPLICABLE` if the renderer doesn't fit, a positive value otherwise

### getRendererInstance

    AbstractSWTRenderer<VELEMENT> getRendererInstance(VELEMENT vElement,
                                                      ViewModelContext viewModelContext)

  Returns a renderer.

  Parameters:
    `vElement` - The `VElement` to create the renderer instance for
    `viewModelContext` - The `ViewModelContext` to use for the renderer instance
  Returns:
    The AbstractSWTRenderer

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.